<?php
// Enable error reporting for debugging
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
session_start();
// Include the database configuration
include "../connectivity.php";

// Check database connection
if ($conn->connect_error) {
    error_log('Database connection error: ' . $conn->connect_error);
    die(json_encode(['error' => 'Database connection failed', 'details' => $conn->connect_error]));
}

// Allow only POST requests
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    http_response_code(405); // Method Not Allowed
    echo json_encode(['error' => 'Only POST requests are allowed.']);
    exit;
}

// Validate input
if (!isset($_POST['id'], $_POST['approve'])) {
    http_response_code(200); // Bad Request
    echo json_encode(['message' => 'Invalid input. Required fields: manager_id, approve_status.']);
    exit;
}

// Assign POST data to variables with sanitization
$manager_id = $_POST['id'];
$approve_status = $_POST['approve'];

// Prepare SQL query to check user credentials
$query = "UPDATE `product_manager` SET `approval`='$approve_status' WHERE `id`='$manager_id'";


// Check if the query executed successfully and if a user was found
if ($conn->query($query)) {
    http_response_code(200);
    echo json_encode([
        'success' => true,
        'message' => 'Approval Status Updated Successfully',
    ]);
} else {
    // No matching user found or query failed
    http_response_code(200); // Unauthorized
    echo json_encode(['success'=>false,'message' => 'Invalid manager id or status.']);
}

// Close the database connection
$conn->close();
