<?php
// Enable error reporting for debugging
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Include configuration file
include "../connectivity.php";

// Check database connection
if ($conn->connect_error) {
    die(json_encode(["error" => "Database connection failed: " . $conn->connect_error]));
}

$sql = "
    SELECT * FROM `product_manager` ORDER BY `id` DESC
";

// Prepare the statement
$stmt = $conn->prepare($sql);
// Execute the SQL query
$stmt->execute();

// Get the result of the query
$result = $stmt->get_result();

// Check if any managers were found
if ($result && $result->num_rows > 0) {
    $managers = [];
    while ($row = $result->fetch_assoc()) {
        
        // Add the managers to the managers array
        $managers[] = $row;
    }
    
    echo json_encode([
        "status" => "success",
        "managers" => $managers
    ]);
} else {
    echo json_encode([
        "status" => "success",
        "message" => "No manager found"
    ]);
}

// Close the prepared statement and database connection
$stmt->close();
$conn->close();
?>
